dvb_mpeg_pes_optional Struct Reference
Digital TV table parsing

MPEG PES optional header. More...

`#include <mpeg_pes.h>`

## Data Fields

union { |
uint16_t bitfield |
struct { |
uint16_t PES_extension:1 |
uint16_t PES_CRC:1 |
uint16_t additional_copy_info:1 |
uint16_t DSM_trick_mode:1 |
uint16_t ES_rate:1 |
uint16_t ESCR:1 |
uint16_t PTS_DTS:2 |
uint16_t original_or_copy:1 |
uint16_t copyright:1 |
uint16_t data_alignment_indicator:1 |
uint16_t PES_priority:1 |
uint16_t PES_scrambling_control:2 |
uint16_t two:2 |
} |
}; |
uint8_t | length
uint64_t | pts
uint64_t | dts

## Detailed Description

MPEG PES optional header.

Parameters

  two | 2 bits Should be 10
  PES_scrambling_control | 2 bits PES Scrambling Control (Not Scrambled=00, otherwise scrambled)
  PES_priority | 1 bit PES Priority
  data_alignment_indicator | 1 bit PES data alignment
  copyright | 1 bit PES content protected by copyright
  original_or_copy | 1 bit PES content is original (=1) or copied (=0)
  PTS_DTS | 2 bit PES header contains PTS (=10, =11) and/or DTS (=01, =11)
  ESCR | 1 bit PES header contains ESCR fields
  ES_rate | 1 bit PES header contains ES_rate field
  DSM_trick_mode | 1 bit PES header contains DSM_trick_mode field
  additional_copy_info | 1 bit PES header contains additional_copy_info field
  PES_CRC | 1 bit PES header contains CRC field
  PES_extension | 1 bit PES header contains extension field
  length | 8 bit PES header data length
  pts | 64 bit PES PTS timestamp
  dts | 64 bit PES DTS timestamp

Definition at line 152 of file mpeg_pes.h.

## Field Documentation

## [union]

union { ... } dvb_mpeg_pes_optional

## additional_copy_info

uint16_t dvb_mpeg_pes_optional::additional_copy_info

Definition at line 158 of file mpeg_pes.h.

## bitfield

uint16_t dvb_mpeg_pes_optional::bitfield

Definition at line 154 of file mpeg_pes.h.

## copyright

uint16_t dvb_mpeg_pes_optional::copyright

Definition at line 164 of file mpeg_pes.h.

## data_alignment_indicator

uint16_t dvb_mpeg_pes_optional::data_alignment_indicator

Definition at line 165 of file mpeg_pes.h.

## DSM_trick_mode

uint16_t dvb_mpeg_pes_optional::DSM_trick_mode

Definition at line 159 of file mpeg_pes.h.

## dts

uint64_t dvb_mpeg_pes_optional::dts

Definition at line 173 of file mpeg_pes.h.

## ES_rate

uint16_t dvb_mpeg_pes_optional::ES_rate

Definition at line 160 of file mpeg_pes.h.

## ESCR

uint16_t dvb_mpeg_pes_optional::ESCR

Definition at line 161 of file mpeg_pes.h.

## length

uint8_t dvb_mpeg_pes_optional::length

Definition at line 171 of file mpeg_pes.h.

## original_or_copy

uint16_t dvb_mpeg_pes_optional::original_or_copy

Definition at line 163 of file mpeg_pes.h.

## PES_CRC

uint16_t dvb_mpeg_pes_optional::PES_CRC

Definition at line 157 of file mpeg_pes.h.

## PES_extension

uint16_t dvb_mpeg_pes_optional::PES_extension

Definition at line 156 of file mpeg_pes.h.

## PES_priority

uint16_t dvb_mpeg_pes_optional::PES_priority

Definition at line 166 of file mpeg_pes.h.

## PES_scrambling_control

uint16_t dvb_mpeg_pes_optional::PES_scrambling_control

Definition at line 167 of file mpeg_pes.h.

## pts

uint64_t dvb_mpeg_pes_optional::pts

Definition at line 172 of file mpeg_pes.h.

## PTS_DTS

uint16_t dvb_mpeg_pes_optional::PTS_DTS

Definition at line 162 of file mpeg_pes.h.

## two

uint16_t dvb_mpeg_pes_optional::two

Definition at line 168 of file mpeg_pes.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/mpeg_pes.h